QGIS Application - Bug report #4100
Text for two CRS dialogues is wrong (swapped)
2011-07-20 12:39 AM - Alister Hood

Status: Open

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:3.6.0 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 14082
Description

Running trunk, when | have enabled "Settings>Options>CRS>Coordinate Reference System for new layers>Prompt for CRS", if | add a
vector layer with no CRS then the dialogue says:
"Specify CRS for layer SOME_FILE_NAME"

When | right-click on a layer and choose "Set layer CRS", even if the layer does have a projection specification, the dialogue says:
"Define this layer's coordinate reference system:

This layer appears to have no projection specification. By default this layer will now have its projection set to that of the project, but you
may override this by selecting a different projection below."

These two texts must have been mixed up.

History

#1 - 2011-08-29 10:49 PM - Paolo Cavallini
- Category set to Projection Support

#2 - 2011-08-29 10:56 PM - Alister Hood

There is a similar issue for raster layers. In this case, the correct text ("This layer appears to have no...") is shown when adding a layer with no CRS, but

the same text is incorrectly shown when right-clicking on a layer with a CRS and choosing "Set layer CRS".

#3 - 2011-12-16 02:11 PM - Giovanni Manghi
- Target version set to Version 1.7.4

#4 - 2012-04-16 06:28 AM - Paolo Cavallini

- Target version changed from Version 1.7.4 to Version 1.8.0
- Affected QGIS version set to master

- Crashes QGIS or corrupts data set to No

#5 - 2012-09-04 11:59 AM - Paolo Cavallini
- Target version changed from Version 1.8.0 to Version 2.0.0

#6 - 2012-09-17 04:27 PM - Alister Hood
Also,
It seems that people coming from ArcGIS tend to expect "Specify CRS" to do something completely different. Rather than QGIS treating the data as if it is

in the specified CRS, they expect it to do on-the-fly coordinate transformation to the specified CRS, so that calculations etc using that layer are done as if
the layer had been transformed to that CRS.
Because of this it might be worth adding to the "Specify CRS for layer SOME_FILE_NAME" an explanation something like "N.B. this means QGIS will treat

the layer as if its original data is actually in the specified CRS. It does not transform the data to the specified CRS."

#7 - 2014-06-28 07:40 AM - Jiirgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#8 - 2015-12-03 08:24 AM - Médéric RIBREUX

- Tag set to easy

Hello, bug triage...

still true for QGIS 2.13.

to fix this, we need to:

- modify the default message in QgsGenericProjectionSelector::setMessage

- modify the code of QgisApp::validateSrs to add the previous generic message and also adding the validationHint words.

This should be an easy fix...

#9 - 2017-05-01 01:10 AM - Giovanni Manghi
- Easy fix? set to No
- Regression? set to No

#10 - 2018-01-10 03:48 AM - Alister Hood
- Description updated

Also see #4236 and #5005

#11 - 2019-03-09 04:04 PM - Giovanni Manghi
- Status changed from Open to Closed

- Resolution set to end of life

End of life notice: QGIS 2.18 LTR
Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-Itr/

#12 - 2019-03-10 03:48 PM - Alister Hood
- Status changed from Closed to Reopened

Still valid for QGIS 3.6

#13 - 2019-03-10 03:48 PM - Alister Hood

- Resolution deleted (end of life)
https://github.com/qgis/QGIS/blob/beb4ffc16b02e6e5c30539bfdffa2dc574aaa783/src/gui/qgsgenericprojectionselector.cpp#L41
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

#14 - 2019-03-10 05:53 PM - Giovanni Manghi

- Status changed from Reopened to Open

- Category changed from Projection Support to GUI

- Affected QGIS version changed from master to 3.6.0
